SDL-0.6.7.0: Binding to libSDL

Copyright | (c) David Himmelstrup 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Graphics.UI.SDL.Color

Description

# Documentation

data Color Source #

Constructors

Color |

Fields

- colorRed, colorGreen, colorBlue :: Word8

#### Instances

Instances details

Storable Color Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods sizeOf :: Color -> Int alignment :: Color -> Int peekElemOff :: Ptr Color -> Int -> IO Color pokeElemOff :: Ptr Color -> Int -> Color -> IO () peekByteOff :: Ptr b -> Int -> IO Color pokeByteOff :: Ptr b -> Int -> Color -> IO () peek :: Ptr Color -> IO Color poke :: Ptr Color -> Color -> IO ()

newtype Pixel Source #

Constructors

Pixel Word32 |

#### Instances

Instances details

Eq Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods (==) :: Pixel -> Pixel -> Bool (/=) :: Pixel -> Pixel -> Bool
Ord Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods compare :: Pixel -> Pixel -> Ordering (<) :: Pixel -> Pixel -> Bool (<=) :: Pixel -> Pixel -> Bool (>) :: Pixel -> Pixel -> Bool (>=) :: Pixel -> Pixel -> Bool max :: Pixel -> Pixel -> Pixel min :: Pixel -> Pixel -> Pixel
Show Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods showsPrec :: Int -> Pixel -> ShowS show :: Pixel -> String showList :: [Pixel] -> ShowS
Storable Pixel Source # |
Instance details Defined in Graphics.UI.SDL.Color Methods sizeOf :: Pixel -> Int alignment :: Pixel -> Int peekElemOff :: Ptr Pixel -> Int -> IO Pixel pokeElemOff :: Ptr Pixel -> Int -> Pixel -> IO () peekByteOff :: Ptr b -> Int -> IO Pixel pokeByteOff :: Ptr b -> Int -> Pixel -> IO () peek :: Ptr Pixel -> IO Pixel poke :: Ptr Pixel -> Pixel -> IO ()